<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package Alleria
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
        <meta charset="<?php bloginfo( 'charset' ); ?>">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="profile" href="http://gmpg.org/xfn/11">
        <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
        <?php wp_head(); ?>
</head>

<body <?php if ( ! is_active_sidebar( 'sidebar-1' ) ) { body_class('no-sidebar');}else{body_class();} ?>>
<div id="page" class="hfeed site">
	<a class="skip-link screen-reader-text" href="#content"><?php _e( 'Skip to content', 'alleria' ); ?></a>

	<header id="masthead" class="site-header" role="banner">
                <?php echo '<div class="site-branding header-background-image" style="background-image: url(' . get_header_image() . ');background-position: center;">' ?>
                        <div class="sb-middle">
                                <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" class="header-link"></a>
                                <div class="title-box">
                                    <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                                    <h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
                                </div>
                        </div>
                </div><!-- site-branding -->

		<nav id="site-navigation" class="main-navigation" role="navigation">
                        <div class="menu-container">
			<button class="menu-toggle"><?php _e( 'Menu', 'alleria' ); ?></button>
                                <?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>
                                <div class="search-toggle"><span class="dashicons dashicons-search"></span></div>
                        </div>
                <div class="mm-search-form">
                        <div class="mm-search-form-inner">
                                <form role="search" method="get" class="search-form" action="<?php echo home_url( '/' ); ?>">
                                        <label>
                                                <span class="screen-reader-text"><?php _ex( 'Search for:', 'label' ) ?></span>
                                                <input type="search" class="menu-search-field" placeholder="<?php echo esc_attr_x( 'Search...', 'placeholder' ) ?>" value="<?php echo get_search_query() ?>" name="s" title="<?php echo esc_attr_x( 'Search for:', 'label' ) ?>" />
                                        </label>
                                        <input type="submit" class="search-submit" value="<?php echo esc_attr_x( 'Search', 'submit button' ) ?>" />
                                </form>
                        </div>
                </div>
		</nav><!-- #site-navigation -->
	</header><!-- #masthead -->

	<div id="content" class="site-content">